From ef3a81211ff160e2e556cd3a5697cdf4b28e1ad5 Mon Sep 17 00:00:00 2001
From: Matthias van de Meent <boekewurm+postgres@gmail.com>
Date: Mon, 22 Apr 2024 11:41:43 +0200
Subject: [PATCH v1 3/5] Remove field JsonExprState.input_finfo

The field was write-only since it's introduction in 2024 with 6185c973
---
 src/backend/executor/execExpr.c | 1 -
 src/include/nodes/execnodes.h   | 1 -
 2 files changed, 2 deletions(-)

diff --git a/src/backend/executor/execExpr.c b/src/backend/executor/execExpr.c
index eb5ac20824..b9ebc827a7 100644
--- a/src/backend/executor/execExpr.c
+++ b/src/backend/executor/execExpr.c
@@ -4393,7 +4393,6 @@ ExecInitJsonExpr(JsonExpr *jsexpr, ExprState *state,
 		fcinfo->args[2].isnull = false;
 		fcinfo->context = (Node *) escontext;
 
-		jsestate->input_finfo = finfo;
 		jsestate->input_fcinfo = fcinfo;
 	}
 
diff --git a/src/include/nodes/execnodes.h b/src/include/nodes/execnodes.h
index f8257b60c1..fa1c84bb1a 100644
--- a/src/include/nodes/execnodes.h
+++ b/src/include/nodes/execnodes.h
@@ -1069,7 +1069,6 @@ typedef struct JsonExprState
 	 * RETURNING type input function invocation info when
 	 * JsonExpr.use_io_coercion is true.
 	 */
-	FmgrInfo   *input_finfo;
 	FunctionCallInfo input_fcinfo;
 
 	/*
-- 
2.40.1

